Bug 2092832

Summary: "Oh no! Something went wrong" shown after user creates MCP without 'spec'
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Management ConsoleAssignee: Jakub Hadvig <jhadvig>
Status: CLOSED DEFERRED QA Contact: Xiyun Zhao <xiyuzhao>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.11CC: yapei
Target Milestone: ---   
Target Release: 4.10.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-03-09 01:20:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2091746    
Bug Blocks:    

Description OpenShift BugZilla Robot 2022-06-02 10:33:07 UTC
+++ This bug was initially created as a clone of Bug #2091746 +++

Description of problem:
The page MCP will be down, after user creates a MachineConfigPool (in YAML) without properties ‘spec', "Oh no! Something went wrong" will be shown on the page

Version-Release number of selected component (if applicable):
4.11.0-0.nightly-2022-05-25-193227

How reproducible:
Always

Steps to Reproduce:
1. Login OCP, navigate to Compute -> MachineConfigPools page
2. Click "Create MachineConfigPool" button, create with below format 
 apiVersion: machineconfiguration.openshift.io/v1
 kind: MachineConfigPool
 metadata:
  name: example   
3.

Actual results:
2.1. "Oh no! Something went wrong" will be shown on the page
2.2. The MCP page will be broken with upon error unless the user deletes the issue MCP with command through CLI
     $ oc delete mcp example

Expected results:
2. Console should not allow users to create MCP without "spec" in Console or through CLI

Additional info:

Comment 4 Xiyun Zhao 2022-07-21 02:44:23 UTC
@jhadvig
Please help to double check if this issue has any conflict on OCP4.10 code level
This issue has failed to verify on payload 4.10.0-0.nightly-2022-07-19-210744
Cluster setting page will crash after create MVP without spec attribute

Comment 6 Shiftzilla 2023-03-09 01:20:37 UTC
OpenShift has moved to Jira for its defect tracking! This bug can now be found in the OCPBUGS project in Jira.

https://issues.redhat.com/browse/OCPBUGS-9298